﻿using UnityEngine;

public class TwinArmControllerTester : MonoBehaviour
{
	[SerializeField] TwinArmController auf;
	[SerializeField] float power = 30f;
	[SerializeField] float armApertures = 80f;

	void Start()
	{
        if (auf == null) Debug.LogError("テスト対象のTwinArmControllerがありません");
    }

	void Update()
	{
		if (Input.GetKeyDown(KeyCode.Z))
		{
			auf.Open();
		}
		if (Input.GetKeyDown(KeyCode.X))
		{
			auf.Close(power);
		}
		if (Input.GetKeyDown(KeyCode.C))
		{
			auf.SetLimit(armApertures);

        }
	}
}
